This resource represents bulk operations for customers. Use this to perform bulk operations on customer accounts, profiles, and detail fields and values.
Create up to 50 customer detail-field definitions in a single async task. You can create up to 50 detail fields. Each detail field name in the request must be unique — both within the request itself (case-insensitive, trimmed) and against the names of detail fields that already exist on the customer entity. If any name is already in use, the entire request is rejected with 400 Bad Request and no fields are created. This API does not modify or replace existing definitions.
Permissions required: Administer Jira global permission.
write:customer.detail-field:jira-service-managementIdempotencyKeyHeader
RequiredThe detail-field definitions to create.
array<CreateDetailFieldRequest>
RequiredReturns a task identifier and statusUrl that can be used to retrieve information about the results of the task via the Get task status API.
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
curl --request POST \
--url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/customer/details/definitions/bulk' \
--header 'Authorization: Bearer <access_token>' \
--header 'Accept: application/json' \
--header 'Idempotency-Key: c748a424-1db8-47f9-8288-713cdb0407b5' \
--header 'Content-Type: application/json' \
--data '{
"detailFields": [
{
"name": "Account Manager",
"type": {
"name": "TEXT"
}
},
{
"name": "Customer Tier",
"type": {
"name": "SELECT",
"options": [
"Free",
"Standard",
"Premium",
"Enterprise"
]
}
},
{
"name": "Renewal Date",
"type": {
"name": "DATE"
}
},
{
"name": "Support Email",
"type": {
"name": "EMAIL"
}
},
{
"name": "Preferred Contact Channels",
"type": {
"name": "MULTISELECT",
"options": [
"Email",
"Phone",
"Slack",
"In-app"
]
}
},
{
"name": "Primary Contact Phone",
"type": {
"name": "PHONE"
}
}
]
}'1
2
3
4
{
"id": "3858a61a-d337-42e6-993e-e13e1c366d4f",
"statusUrl": "/api/v1/tasks/3858a61a-d337-42e6-993e-e13e1c366d4f"
}Bulk manage customer detail field values for multiple customers. Supports UPDATE, PATCH, and DELETE operations across multiple customers and detail fields. A request can include up to 1000 detail-field operations total, counted across all customers in the request.
Permissions required: Customer Service Management or Jira Service Management user.
write:customer.detail:jira-service-managementIdempotencyKeyHeader
RequiredThe bulk operations to perform on customer detail field values, defined per customer. Operations can be combined.
array<BulkCustomerDetailFieldOperation>
RequiredReturns a task identifier and statusUrl that can be used to retrieve information about the results of the task via the Get task status API.
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
curl --request POST \
--url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/customer/details/bulk' \
--header 'Authorization: Bearer <access_token>' \
--header 'Accept: application/json' \
--header 'Idempotency-Key: c748a424-1db8-47f9-8288-713cdb0407b5' \
--header 'Content-Type: application/json' \
--data '{
"customers": [
{
"customerId": "qm:82a83bc1-d19a-4220-b388-af3f7d92165d:a495e659-5978-402f-a878-636e415ba1c1",
"operations": [
{
"operationType": "UPDATE",
"payload": {
"name": "Region",
"values": [
"Asia"
]
}
}
]
}
]
}'1
2
3
4
{
"id": "3858a61a-d337-42e6-993e-e13e1c366d4f",
"statusUrl": "/api/v1/tasks/3858a61a-d337-42e6-993e-e13e1c366d4f"
}Bulk manage multiple customer accounts. This allows up to 50 customer accounts in a single request.
Permissions required: Administer Jira global permission.
write:customer:jira-service-managementIdempotencyKeyHeader
Requiredarray<BulkCustomerAccountOperationRequest>
RequiredReturns a task identifier and statusUrl that can be used to retrieve information about the results of the task via the Get task status API.
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
curl --request POST \
--url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/customer/bulk' \
--header 'Authorization: Bearer <access_token>' \
--header 'Accept: application/json' \
--header 'Idempotency-Key: c748a424-1db8-47f9-8288-713cdb0407b5' \
--header 'Content-Type: application/json' \
--data '{
"customerAccounts": [
{
"operationType": "CREATE",
"payload": {
"displayName": "<string>",
"email": "<string>",
"customerId": "<string>"
}
}
]
}'1
2
3
4
{
"id": "3858a61a-d337-42e6-993e-e13e1c366d4f",
"statusUrl": "/api/v1/tasks/3858a61a-d337-42e6-993e-e13e1c366d4f"
}Bulk manage multiple customer profiles with detail fields and organization associations.
Allows creating, updating or upserting up to 100 customer profiles in a single request.
Customer Identification: To identify customers, provide either email or customerId. When using UPSERT operation, note that providing only customerId (without email) will not create a new customer if the customer doesn't exist. The email field must be provided to create new customers.
Permissions required: Administer Jira global permission, and Customer Service Management or Jira Service Management user.
write:customer.profile:jira-service-managementIdempotencyKeyHeader
Requiredarray<BulkManageCustomerProfileOperation>
RequiredReturns a task identifier and statusUrl that can be used to retrieve information about the results of the task via the Get task status API.
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
curl --request POST \
--url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/customer/profile/bulk' \
--header 'Authorization: Bearer <access_token>' \
--header 'Accept: application/json' \
--header 'Idempotency-Key: c748a424-1db8-47f9-8288-713cdb0407b5' \
--header 'Content-Type: application/json' \
--data '{
"customerProfiles": [
{
"operationType": "UPSERT",
"payload": {
"email": "john@example.com",
"displayName": "John Smith",
"details": [
{
"name": "Region",
"values": [
"EMEA"
]
},
{
"name": "Phone Number",
"values": [
"0422333111"
]
}
],
"associateOrganizations": {
"organizationIds": [
1,
4
]
},
"associateProducts": {
"productIds": [
"3858a61a-d337-42e6-993e-e13e1c366d4f"
]
}
}
},
{
"operationType": "UPSERT",
"payload": {
"email": "jane@example.com",
"displayName": "Jane Doe",
"details": [
{
"name": "Region",
"values": [
"EMEA"
]
}
],
"associateOrganizations": {
"organizationIds": [
3
]
},
"associateProducts": {
"productIds": [
"3858a61a-d337-42e6-993e-e13e1c366d4f",
"4858a61a-d337-42e6-993e-e13e1c366d4f"
]
}
}
}
]
}'1
2
3
4
{
"id": "3858a61a-d337-42e6-993e-e13e1c366d4f",
"statusUrl": "/api/v1/tasks/3858a61a-d337-42e6-993e-e13e1c366d4f"
}Rate this page: